Skip to main content
GET
Get AI Config

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required

The project key

configKey
string
required

The AI Config key

Response

AI Config found

description
string
required

A description of the AI Config

key
string
required

The AI Config key

name
string
required

The AI Config name

tags
string[]
required

Tags for this resource

version
integer
required

The version number of this resource

variations
object[]
required

The variations of this AI Config

createdAt
integer<int64>
required
updatedAt
integer<int64>
required
_access
object
Example:

The location and content type of related resources

Example:
_site
object
Example:
_maintainer
object

The member or team that maintains this resource

Example:
mode
enum<string>
default:completion

The AI Config mode

Available options:
agent,
completion,
judge
evaluationMetricKey
string

Evaluation metric key for this config

evaluationMetricKeys
string[]
deprecated

List of evaluation metric keys for this config

isInverted
boolean

Whether the evaluation metric is inverted, meaning a lower value is better if set as true

dependencies
object[]

Resources that depend on this config, grouped by type